:root {
  --bg-purple: rgb(79, 59, 120);
  --bg-red: rgb(166, 45, 42);
  --bg-blue: rgb(23, 108, 117);

  --example-blue: rgb(53, 200, 251);
  --example-green: rgb(126, 227, 48);
  --example-orange: rgb(250, 173, 65);
  --example-pink: rgb(227, 48, 205);
}

.slides i, .slides .highlight {
  color: rgb(250, 174, 65);
}

.slides i.old {
  color: rgba(255, 255, 255, 0.5);
}

.source {
  font-size: 0.6em;
  line-height: 1.66667em;
  text-align: right;
}

.slides .columns {
  display: flex;
  width: 100%;
}

.slides .columns > * {
  flex-basis: 0;
  flex-grow: 1;
  flex-shrink: 0;
}

.slides dl {
  display: flex;
  flex-wrap: wrap;
  margin-left: 0;
}

.slides dt {
  flex-basis: 40%;
  text-align: right;
  font-weight: normal;
  margin-bottom: 0.5em;
}

.slides dd {
  flex-basis: 50%;
  flex-grow: 1;
  margin-left: 0.5em;
  margin-bottom: 0.5em;
}


.slides hr {
	margin: 1em auto;
	width: 60%;
	border: none;
	background: rgba(255, 255, 255, 0.2);
	height: 0.1em;
}

.slides .example {
  width: 90%;
  margin: 2em auto;
}

.slides .hljs.js::before {
	content: "JS";
	position: absolute;
	right: 5px;
	color: rgba(255, 255, 255, 0.5);
}

.slides .hljs.css::before {
	content: "CSS";
	position: absolute;
	right: 5px;
	color: rgba(255, 255, 255, 0.5);
}

.slides .hljs.html::before {
	content: "HTML";
	position: absolute;
	right: 5px;
	color: rgba(255, 255, 255, 0.5);
}

.slides .hljs.php::before {
	content: "PHP";
	position: absolute;
	right: 5px;
	color: rgba(255, 255, 255, 0.5);
}

.slides kbd {
  border: 0.05em solid white;
  border-radius: 0.2em;
  box-shadow: 0.1em 0.1em 0 0 white;
  padding: 0.2em 0.2em 0 0.2em;
  margin: 0.2em 0;
  display: inline-block;
}

#qrlink {
  width: 40vh;
  margin: 1em auto 0 auto;
}

.credit {
  position: relative;
  width: 960px;
  height: 700px;
  font-size: 0.4em;
}

.credit > span {
  position: absolute;
  left: 0;
  bottom: 0;
  background-color: rgba(50, 50, 50, 0.2);
  padding: 0 0.2em;
  border-radius: 0.1em;
}
